Subject: Re: bug#46829: Fresh install of 1.2.0 can't guix pull

From: Andreas Enge <[email-masked]>
Date: Sun, 28 Feb 2021 12:06:34 +0100

Am Sun, Feb 28, 2021 at 10:27:02AM +0000 schrieb Christopher Baines:
> I believe there's TLS issues with pulling for the current 1.2.0 release.
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
> guix pull: error: Git error: the SSL certificate is invalid

I noticed the same for the following, slightly older version:
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 0939462e3f81bc98b38bdb7610e6a80ca1cbaa1b

And it also occurs with the current master checkout using
   ./pre-inst-env guix pull

I tried again after updating my nss-certs package, but it did not make
any difference.

This is on dover, an aarch64 machine. I successfully did "guix pull"
on other machines, however.

Andreas